Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
cURL
curl --request GET \ --url https://dashboard.hologram.io/api/1/devices/count \ --header 'Authorization: Basic <encoded-value>'
import requests url = "https://dashboard.hologram.io/api/1/devices/count" headers = {"Authorization": "Basic <encoded-value>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}}; fetch('https://dashboard.hologram.io/api/1/devices/count', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
const url = 'https://dashboard.hologram.io/api/1/devices/count'; const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}}; fetch(url, options) .then(res => res.json()) .then(json => console.log(json)) .catch(err => console.error(err));
{ "success": true, "data": 123 }
Returns the total number of SIMs (devices) for the organization.
HTTP Basic authentication using API keys. Set the username to apikey and the password to your API key. You can find your API key on the Hologram Dashboard under Account Settings.
apikey
Filter results to this organization ID
Single tag ID to filter by.
Comma-separated list of tag IDs.
Comma-separated list of link (profile) IDs.
Comma-separated list of network states.
Comma-separated list of profile ICCIDs.
Range of profile ICCIDs separated by a hyphen.
OK
Indicates whether the request was successful.
true
Total number of devices in the organization
Was this page helpful?